/**   
* @Package     : com.ccb.mobile.platform
* @Copyright   : @版权所有 中国建设银行版权所有
* @Description : TODO(用一句话描述该文件做什么)
* Administrator   
* 2014-4-25
* @version     : v1.0   
*/

package com.ccb.mobile.platform;

import android.os.Environment;

import com.ccb.mobile.platform.bean.HostMode;

/**
 * @ClassName    : Constants
 * @Description  : TODO(这里用一句话描述这个类的作用)
 * @author       : LiangYJ
 * @date         : 2014-4-25
 * 
 */
public class Constants {
	public static final String ROOT_PATH = Environment.getExternalStorageDirectory().getName();

	protected static final String CHANNEL_TYPE_0 = "0";//个人网银
	protected static final String CHANNEL_TYPE_1 = "1";//企业网银
	protected static final String CHANNEL_TYPE_2 = "2";//手机银行
	protected static final String CHANNEL_TYPE_3 = "3";//网站
	protected static final String CHANNEL_TYPE_JS = "4";//js
	protected static final String CHANNEL_TYPE_PIC = "5";//图片
	protected static final String CHANNEL_TYPE_APPVERSION = "6";//断点续传
	/**
	 * 异常信息
	 */
	public static final String EXCEPTION_NOT_UI_THREAD_DETAIL = "Current thread is not UI thread";
	public static final String EXCEPTION_NOT_UI_THREAD = "当前线程不是UI线程";
	public static final String EXCEPTION_REQUEST_PARAMS_ERROR_DETAIL = "Request parameters is null or empty";
	public static final String EXCEPTION_REQUEST_PARAMS_ERROR = "请求参数为空";
	public static final String EXCEPTION_REQUEST_PARAMS_FORM_ERROR = "请求参数格式错误";
	public static final String EXCEPTION_NETWORK_ERROR = "01";//"网络异常,请稍后重试";
	public static final String EXCEPTION_NETWORK_DATA_ERROR = "02";//"网络请求数据错误";
	public static final String EXCEPTION_EXCHANGE_FAILED = "03";//"交易失败,请返回重试";
	
	//重要参数
	public static final String SET_COOKIE= "Set-Cookie";
	public static String COOKIE_NAME = "";
	
	public static final String YU = "&";
	public static final String WEN = "?";
	public static final String ONE_EQUAL = "=";
	
	/** E路护航开关 */
	public static final boolean IS_SAFE_OPEN = false;//一路护航开关，true为打开，false为关闭
	/** 手机银行必须参数**/
	public static String MBS_SKEY = "skey";
	public static String MBS_MBSKEY = "mbskey";
	public static String MBS_USERID = "userid";
	public static String MBS_BRANCHID = "branchid";
	
}
